# Delete a webhook

Deletes a webhook for a given merchant. Merchant is pulled from the public API key for security reasons. The effects of this method are both immediate (data deleted from webhooks database) and eventual (request against backend service to confirm webhook deletion).

Endpoint: DELETE /v2.0/admin/webhooks
Version: 2.0.0
Security: api_key

## Security:

  - `api_key` (unknown)
    apiKey in header X-Inveterate-Api-Key

## Response 201:

  - `201` (unknown)
    Returned upon successful request made to our backend. Requests that return this code may take a small amount of time after successful API return to fully update.

## Response 201 fields (application/json):

  - `message` (string, required)
    The message associated with the response. Generally, the message only confirms the requested action. In the case of errors, the message will give insight into the source of the error.

  - `data` (object, required)
    The data associated with the response. Data is only returned from errors if the error originates from our backend to give further insight into the nature of the error.

## Response 400:

  - `400` (unknown)
    Returned upon a malformed request. Check your API key, URL parameters, and body parameters when this error is returned. Generally, if you see this error, that also means NO action was taken on our backend.

## Response 400 fields (application/json):

  - `message` (string, required)
    The message associated with the response. Generally, the message only confirms the requested action. In the case of errors, the message will give insight into the source of the error.

  - `data` (object, required)
    The data associated with the response. Data is only returned from errors if the error originates from our backend to give further insight into the nature of the error.

## Response 500:

  - `500` (unknown)
    Returned for all other errors. Generally these come from our backend. Some multipart functions may execute somewhat and then fail, causing some data to be updated.

## Response 500 fields (application/json):

  - `message` (string, required)
    The message associated with the response. Generally, the message only confirms the requested action. In the case of errors, the message will give insight into the source of the error.

  - `data` (object, required)
    The data associated with the response. Data is only returned from errors if the error originates from our backend to give further insight into the nature of the error.

